Subject: Re: bug#10598: 24.0.92; run dired-do-async-shell-command on multiple files individually

From: Juri Linkov <[email-masked]>
Date: Fri, 13 Jul 2012 11:30:10 +0300

>> +(defvar dired-async-each t
>
> Should this possibly be defcustom? I'd consider this a user option.

I can't imagine anyone wanting to customize it on a permanent basis
because the desirable behavior depends on the type of executed command:
non-interactive programs are better to run sequentially,
but programs with GUI are better to run in parallel.

Ideally this preference should be expressed by syntax
on the command line like using special symbols `*' and `?',
but at the moment I have no idea for such a syntax.

At least with a variable the users can do something like

(define-key dired-mode-map ";"
  (lambda ()
    (interactive)
    (let ((dired-async-each nil))
      (call-interactively 'dired-do-async-shell-command))))